<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$warehouse = $_GET['warehouse'];
$bulto = $_GET['bulto'];

$config = require ('config.php');

$conexion=$config['conexion'];

$conn = pg_connect($conexion);

$resultado['status'] = "ok";
$resultado['err'] = '';
$resultado['transportista'] = '';
$resultado['posicion'] = '';
$resultado['ola'] = '';

$sql = "select carrier, position, wave_name from dhl_link_id where warehouse_id = $1 and inventory_id = $2";
$bind = array($warehouse, $bulto);
$result = pg_query_params($conn, $sql, $bind) or die('La consulta fallo: ' . pg_last_error());
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

    $carrier = $row['carrier'];
    $position = $row['position'];
    $wave = $row['wave_name'];

    $resultado['transportista'] = $carrier;
    $resultado['posicion'] = $position;
    $resultado['ola'] = $wave;
}

pg_free_result($result);

echo json_encode($resultado);
pg_close($conn);

?>